CUPTI (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 3.21. CUpti_ActivityMetric Struct Reference

## [CUPTI Activity API]

This activity record represents the collection of a CUPTI metric value (CUPTI_ACTIVITY_KIND_METRIC). This activity record kind is not produced by the activity API but is included for completeness and ease-of-use. Profile frameworks built on top of CUPTI that collect metric data may choose to use this type to store the collected metric data.

### Public Variables

uint32_t correlationId
uint8_t flags
CUpti_MetricID id
CUpti_ActivityKind kind
uint8_t pad[3]
union CUpti_MetricValue value

### Variables

uint32_t CUpti_ActivityMetric::correlationId [inherited]

  The correlation ID of the metric. Use of this ID is user-defined, but typically this ID value will equal the correlation ID of the kernel for which the metric was gathered.

uint8_t CUpti_ActivityMetric::flags [inherited]

  The properties of this metric.

  See also:

  CUpti_ActivityFlag

CUpti_MetricID CUpti_ActivityMetric::id [inherited]

  The metric ID.

CUpti_ActivityKind CUpti_ActivityMetric::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_METRIC.

uint8_t CUpti_ActivityMetric::pad[3] [inherited]

  Undefined. Reserved for internal use.

union CUpti_MetricValue CUpti_ActivityMetric::value [inherited]

  The metric value.